# $Revision: 1.6 $, $Date: 2008/07/27 22:39:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	Stem-Fr
Summary:	Lingua::Stem::Fr - Porter's stemming algorithm for French
Summary(pl.UTF-8):	Lingua::Stem::Fr - algorytm Portera określający rdzenie słów dla języka francuskiego
Name:		perl-Lingua-Stem-Fr
Version:	0.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b4ea5dd1d942b190160e9cbc73115b20
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module applies the Porter Stemming Algorithm to its parameters,
returning the stemmed words.

The algorithm is implemented exactly as described in:
http://snowball.tartarus.org/italian/stemmer.html .

%description -l pl.UTF-8
Ten moduł stosuje do swoich parametrów algorytm Portera określający
rdzenie słów, zwracając te rdzenie.

Zaimplementowany został algorytm opisany na stronie:
http://snowball.tartarus.org/italian/stemmer.html .

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Lingua/Stem/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Stem-Fr.spec,v $
Revision 1.6  2008/07/27 22:39:44  arekm
- release 3

Revision 1.5  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.3  2004/11/03 22:30:30  paladine
- formatting

Revision 1.2  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.1  2004/05/02 07:39:32  adamg
- new (based on perl-Lingua-Stem-It)
